Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.constraint
Class DoubleConstraintOccurrence

    java.lang.Object
      org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
          org.optaplanner.core.impl.score.constraint.DoubleConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

Deprecated.

    @Deprecated
    public class DoubleConstraintOccurrence

extends ConstraintOccurrence

See Also:
  Serialized Form

Field Summary
`protected double` | `weight` Deprecated.

Fields inherited from class org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
`causes, constraintType, ruleId`

Constructor Summary
`DoubleConstraintOccurrence(String ruleId, ConstraintType constraintType, double weight, Object... causes)` Deprecated.
`DoubleConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)` Deprecated.
`DoubleConstraintOccurrence(String ruleId, double weight, Object... causes)` Deprecated.
`DoubleConstraintOccurrence(String ruleId, Object... causes)` Deprecated.

Method Summary
`boolean` | `equals(Object o)` Deprecated.
`double` | `getWeight()` Deprecated.
`int` | `hashCode()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.optaplanner.core.impl.score.constraint.ConstraintOccurrence
`compareTo, getCauses, getConstraintType, getRuleId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### weight

    protected double weight

  Deprecated.

Constructor Detail

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      Object... causes)

  Deprecated.

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      ConstraintType constraintType,
                                      Object... causes)

  Deprecated.

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      double weight,
                                      Object... causes)

  Deprecated.

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      ConstraintType constraintType,
                                      double weight,
                                      Object... causes)

  Deprecated.

Method Detail

### getWeight

    public double getWeight()

  Deprecated.

### equals

    public boolean equals(Object o)

  Deprecated.
  Overrides:
    `equals` in class `ConstraintOccurrence`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `ConstraintOccurrence`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `ConstraintOccurrence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.